<template>
	<AlertBanner
		:title="
			title ??
			'添加支付方式以开始创建站点、工作台组等。'
		"
		:type="type ?? 'warning'"
	>
		<Button class="ml-auto" @click="addPaymentMode" variant="outline">
			添加支付方式
		</Button>
	</AlertBanner>
</template>
<script>
import AlertBanner from './AlertBanner.vue';

export default {
	name: 'AlertAddPaymentMode',
	props: {
		title: String,
		type: String,
	},
	components: { AlertBanner },
	methods: {
		addPaymentMode() {
			this.$team.reload();

			this.$router.push({
				name: 'Welcome',
			});
		},
	},
};
</script>